Subject: Re: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Calvin Heim <[email-masked]>
Date: Thu, 15 Aug 2019 15:00:02 -0700

On Thu, 2019-08-15 at 15:15 -0400, Mark H Weaver wrote:
> Calvin Heim <[email-masked]> writes:
> 
> > 
> > Apologies for the formatting errors in the previous email. Hopefully this message is cleaner.
> > 
> > GRUB loads.
edit: this grub shows the GuixSD logo in the background.
> >   
> > I add acpi=off to the boot options and boot.  Otherwise, the screen goes black
> > with a '-' symbol at the top left corner and freezes.
> > 
> > So, after booting with acpi=off, the display shows the following lines (with timestamps on the 
> > left, but I had to manually transcribe so I left them off):
> > 
> > %<---------------begin pasted text-----------------------
> >  ehci-pci 0000:00:1d.7: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.7 setup!
> >  ehci-pci 0000:00:1d.7: init 0000:00:1d.7 fail, -19
> >  ehci-pci 0000:00:1d.0: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.0 setup!
> >  ehci-pci 0000:00:1d.0: init 0000:00:1d.0 fail, -19
> >  ehci-pci 0000:00:1d.1: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.1 setup!
> >  ehci-pci 0000:00:1d.1: init 0000:00:1d.1 fail, -19
> >  ehci-pci 0000:00:1d.2: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.2 setup!
> >  ehci-pci 0000:00:1d.2: init 0000:00:1d.2 fail, -19
> >  ehci-pci 0000:00:1d.3: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.3 setup!
> >  ehci-pci 0000:00:1d.3: init 0000:00:1d.7 fail, -19
> >  GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
> >  GC Warning: couldn't read /proc/stat
> >  Welcome, this is GNU's early boot Guile.
> >  Use '--repl' for an initrd REPL.
> >  
> >  loading kernel modules...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
> >  ERROR: In procedure scm-error:
> >  failed to resolve partition "31393730-3031-3031-3139-343934363833"
> >  %<-------------end paste---------------------------------
> > 
> > And then it enters the Guile 2.2.4 prompt, but the keyboard and USB ports
> > are disabled at this stage, so I can't use it.
> It appears that our initrd lacks the drivers needed to access the DVD
> drive.
> 
> I did some looking around for any recently updated tutorials on how to
> install GNU/Linux on a MacBook 1,1, and the only recent success story I
> found involved installing the rEFInd boot manager and using it to boot
> to a USB installer.
> 
>   https://www.youtube.com/watch?v=nHRai14ETKU
> 
> I would suggest something along those lines, since it would eliminate
> the need to access the DVD drive from the initrd, which seems to be
> where you're currently getting stuck.
> 
>        Mark
I have now removed the DVD and made a live USB with the guix-system-install-1.0.1.i686-linux.iso image.
Selecting the live usb at (what I believe to be) the EFI leads to the GuixSD LiveUSB image's GRUB, replete with the GUIXSD logo.
Setting the acpi=off boot option in the GuixSD LiveUSB image's GRUB leads to the same log that is 
pasted in my previous email, quoted above.  When I saw the identifier for the DVD drive again in the log,
I double-checked to make sure that my previous DVD was not in the drive. Nope, it's in a vinyl CD case.

David Stumph (the author of the video) is using lubuntu 16.04 in the video.  He attempted 18.10
but that resulted in a kernel panic.  I also see a kernel panic without setting acpi=off
in the grub boot options. In case someone in the future is searching for this issue, the kernel panic message is
>%----------begin pasted text----------------->%
Kernel panic - not syncing: Timeout: Not all CPUs entered broadcast exception handler
Shutting down cpus with NMI
Kernel Offset : 0x8000000 from 0xc1000000 (relocation range: 0xc0000000-0xf7dfdfff)
Kernel rebooting in 30 seconds
>%----------end paste------------------------->%